set_property IOSTANDARD LVDS_25 [get_ports clk_in1_n]
set_property IOSTANDARD LVDS_25 [get_ports clk_in1_p]

#This is the ADC stuff.
set_property PACKAGE_PIN T10 [get_ports {gpio2_io_i[0]}]
set_property PACKAGE_PIN T11 [get_ports {gpio2_io_i[1]}]
set_property PACKAGE_PIN U12 [get_ports {gpio2_io_i[2]}]
set_property PACKAGE_PIN T12 [get_ports {gpio2_io_i[3]}]
set_property PACKAGE_PIN V13 [get_ports {gpio2_io_i[4]}]
set_property PACKAGE_PIN U13 [get_ports {gpio2_io_i[5]}]
set_property PACKAGE_PIN W13 [get_ports {gpio2_io_i[6]}]
set_property PACKAGE_PIN V12 [get_ports {gpio2_io_i[7]}]
#set_property PACKAGE_PIN T10 [get_ports {SDOUT}]
#set_property PACKAGE_PIN T11 [get_ports {CTRL1}]
#set_property PACKAGE_PIN U12 [get_ports {SDATA}]
#set_property PACKAGE_PIN T12 [get_ports {SEN}]
#set_property PACKAGE_PIN V13 [get_ports {CTRL3}]
#set_property PACKAGE_PIN U13 [get_ports {CTRL2}]
#set_property PACKAGE_PIN W13 [get_ports {RESET}]
#set_property PACKAGE_PIN V12 [get_ports {SCLK}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[4]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[5]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[6]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio2_io_i[7]}]

create_clock -period 4.000 -name external_clk -waveform {0.000 2.000} [get_ports clk_in1_p]

#These are the DDS signals
#Working off of port GPIO[0..31]
#0->SCLK -- E17
#1->IOUPDATE -- A20
#2->DDS_IORESET -- B19
set_property PACKAGE_PIN M15 [get_ports {gpio_tri_o[0]}]
set_property PACKAGE_PIN K16 [get_ports {gpio_tri_o[1]}]
set_property PACKAGE_PIN J16 [get_ports {gpio_tri_o[2]}]
#3-8->DDS_CS[0..5] -- D20, M20, K18, H17, M18, E19
set_property PACKAGE_PIN L14 [get_ports {gpio_tri_o[3]}]
set_property PACKAGE_PIN J20 [get_ports {gpio_tri_o[4]}]
set_property PACKAGE_PIN J18 [get_ports {gpio_tri_o[5]}]
set_property PACKAGE_PIN H16 [get_ports {gpio_tri_o[6]}]
set_property PACKAGE_PIN G19 [get_ports {gpio_tri_o[7]}]
set_property PACKAGE_PIN N15 [get_ports {gpio_tri_o[8]}]
#9-14->DDS_SD0[0..5] (MOSI) -- F17, J19, H18, G18, L17, L20
set_property PACKAGE_PIN H15 [get_ports {gpio_tri_o[9]}]
set_property PACKAGE_PIN F19 [get_ports {gpio_tri_o[10]}]
set_property PACKAGE_PIN K17 [get_ports {gpio_tri_o[11]}]
set_property PACKAGE_PIN L16 [get_ports {gpio_tri_o[12]}]
set_property PACKAGE_PIN G17 [get_ports {gpio_tri_o[13]}]
set_property PACKAGE_PIN K14 [get_ports {gpio_tri_o[14]}]
#15-18: LED0->LED4 -- W14, Y14, Y17, P14
set_property PACKAGE_PIN W14 [get_ports {gpio_tri_o[15]}]
set_property PACKAGE_PIN Y14 [get_ports {gpio_tri_o[16]}]
set_property PACKAGE_PIN Y17 [get_ports {gpio_tri_o[17]}]
set_property PACKAGE_PIN P14 [get_ports {gpio_tri_o[18]}]
#19-21: RGB_LEDR,G,B -- Y16,R14,T14
set_property PACKAGE_PIN Y16 [get_ports {gpio_tri_o[19]}]
set_property PACKAGE_PIN R14 [get_ports {gpio_tri_o[20]}]
set_property PACKAGE_PIN T14 [get_ports {gpio_tri_o[21]}]

#0-5 is MISO, 6 is PowerGood
set_property PACKAGE_PIN G15 [get_ports {gpio_rtl_tri_i[0]}]
set_property PACKAGE_PIN F20 [get_ports {gpio_rtl_tri_i[1]}]
set_property PACKAGE_PIN K18 [get_ports {gpio_rtl_tri_i[2]}]
set_property PACKAGE_PIN L17 [get_ports {gpio_rtl_tri_i[3]}]
set_property PACKAGE_PIN G18 [get_ports {gpio_rtl_tri_i[4]}]
set_property PACKAGE_PIN J14 [get_ports {gpio_rtl_tri_i[5]}]
set_property PACKAGE_PIN K19 [get_ports {gpio_rtl_tri_i[6]}]

set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[4]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[5]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_rtl_tri_i[6]}]

#All 3.3V LVCMOS
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[4]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[5]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[6]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[7]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[8]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[9]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[10]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[11]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[12]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[13]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[14]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[15]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[16]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[17]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[18]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[19]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[20]}]
set_property IOSTANDARD LVCMOS25 [get_ports {gpio_tri_o[21]}]


set_multicycle_path -from [get_clocks external_clk] -to [get_clocks external_clk] 8
set_multicycle_path -hold -from [get_clocks external_clk] -to [get_clocks external_clk] 7



set_property IOSTANDARD LVDS_25 [get_ports {DA[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[2]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[3]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[4]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[5]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[6]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[7]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[8]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[9]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[10]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[11]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[12]}]
set_property IOSTANDARD LVDS_25 [get_ports {DA[13]}]

set_property IOSTANDARD LVDS_25 [get_ports {DB[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[2]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[3]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[4]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[5]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[6]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[7]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[8]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[9]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[10]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[11]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[12]}]
set_property IOSTANDARD LVDS_25 [get_ports {DB[13]}]

set_property PACKAGE_PIN U17 [get_ports {DA[0]}]
set_property PACKAGE_PIN T16 [get_ports {DA[1]}]
set_property PACKAGE_PIN U15 [get_ports {DA[2]}]
set_property PACKAGE_PIN U14 [get_ports {DA[3]}]
set_property PACKAGE_PIN P19 [get_ports {DA[4]}]
set_property PACKAGE_PIN N18 [get_ports {DA[5]}]
set_property PACKAGE_PIN U20 [get_ports {DA[6]}]
set_property PACKAGE_PIN T20 [get_ports {DA[7]}]
set_property PACKAGE_PIN Y19 [get_ports {DA[8]}]
set_property PACKAGE_PIN Y18 [get_ports {DA[9]}]
set_property PACKAGE_PIN R17 [get_ports {DA[10]}]
set_property PACKAGE_PIN R16 [get_ports {DA[11]}]
set_property PACKAGE_PIN V18 [get_ports {DA[12]}]
set_property PACKAGE_PIN V17 [get_ports {DA[13]}]

set_property PACKAGE_PIN W18 [get_ports {DB[0]}]
set_property PACKAGE_PIN W19 [get_ports {DB[1]}]
set_property PACKAGE_PIN T17 [get_ports {DB[2]}]
set_property PACKAGE_PIN R18 [get_ports {DB[3]}]
set_property PACKAGE_PIN V16 [get_ports {DB[4]}]
set_property PACKAGE_PIN W16 [get_ports {DB[5]}]
set_property PACKAGE_PIN V20 [get_ports {DB[6]}]
set_property PACKAGE_PIN W20 [get_ports {DB[7]}]
set_property PACKAGE_PIN N20 [get_ports {DB[8]}]
set_property PACKAGE_PIN P20 [get_ports {DB[9]}]
set_property PACKAGE_PIN U18 [get_ports {DB[10]}]
set_property PACKAGE_PIN U19 [get_ports {DB[11]}]
set_property PACKAGE_PIN V15 [get_ports {DB[12]}]
set_property PACKAGE_PIN W15 [get_ports {DB[13]}]

set_property PACKAGE_PIN P18 [get_ports clk_in1_p]
set_property PACKAGE_PIN N17 [get_ports clk_in1_n]



set_multicycle_path -from [get_clocks clk_fpga_0] -to [get_clocks clk_fpga_0] 4
set_multicycle_path -hold -from [get_clocks clk_fpga_0] -to [get_clocks clk_fpga_0] 3

set_multicycle_path -from [get_pins {design_1_i/axi_gpio_0/U0/gpio_core_1/Dual.gpio_Data_Out_reg[0]/C}] -to [get_pins design_1_i/fifo_generator_0/U0/inst_fifo_gen/gconvfifo.rf/grf.rf/rstblk/grstd1.grst_full.grst_f.RST_FULL_GEN_reg/CLR] 2
set_multicycle_path -hold -from [get_pins {design_1_i/axi_gpio_0/U0/gpio_core_1/Dual.gpio_Data_Out_reg[0]/C}] -to [get_pins design_1_i/fifo_generator_0/U0/inst_fifo_gen/gconvfifo.rf/grf.rf/rstblk/grstd1.grst_full.grst_f.RST_FULL_GEN_reg/CLR] 1

set_multicycle_path -from [get_pins design_1_i/fifo_generator_0/U0/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gl0.rd/gras.rsts/ram_empty_i_reg/C] -to [get_pins design_1_i/fifoInterface_0/inst/go_reg/D] 2
set_multicycle_path -hold -from [get_pins design_1_i/fifo_generator_0/U0/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gl0.rd/gras.rsts/ram_empty_i_reg/C] -to [get_pins design_1_i/fifoInterface_0/inst/go_reg/D] 1
