`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 03/17/2014 05:40:29 PM
// Design Name: 
// Module Name: ramWrite
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module ramWrite(
    enb,
    doutb,
    dinb,
    web,
    addrb,
    clkin,
    IRQ,
    sampleSize,
    ready
    );
    
    output reg enb;
    input wire [31:0] doutb;
    output [31:0] dinb;
    output reg [3:0] web;
    output reg [31:0] addrb;
    input wire clkin;
    input wire IRQ;
    input wire [7:0] sampleSize;

    reg go;
    reg [31:0] peakAddress;
    output reg ready;

    assign dinb = doutb;
    reg needReset;
    reg samplesChanged;
        
    initial begin
        enb=0;
        web=4'b0000;
        addrb=32'h0;
        ready=1'b0;
        needReset=1'b0;
        samplesChanged=1'b0;
        //Start off with the peak address at 4096 (1K samples)
        peakAddress=32'd4096;
    end

    //do this at negative clock edge so we're using "clean" data.
    always @(negedge clkin) begin
//        if (needReset==samplesChanged) begin
            if (addrb<peakAddress) begin
//            if (addrb<32'd4096) begin
                    addrb=addrb+4;
                    web=4'b1111;
                    enb=1;
            end else begin
                enb=0;
                //Data is ready to send!
                ready=1'b1;
                if (IRQ) begin //DMA complete
                    addrb=0;
                    ready=1'b0;
                end
            end
/*        end else begin
            addrb=0;
            ready=1'b0;
            needReset=samplesChanged;
        end
*/
    end

    //Allow for sample sizes up to 7K (made sampleSize 4 bits to allow for eventually up
    //to 256k samples in future versions) make sure to force bottom bits only with [2:0]
    always @(sampleSize) begin
        peakAddress=32'd4096 * (sampleSize+4'b1);
        //Let the rest of the module know 
        samplesChanged=!samplesChanged;
    end

endmodule

/*
module ramWrite(
    enb,
    doutb,
    dinb,
    web,
    addrb,
    clkin,
    IRQ
    );
    
    output reg enb;
    input wire [31:0] doutb;
    output [31:0] dinb;
    output reg [3:0] web;
    output reg [31:0] addrb;
    input wire clkin;
    input wire IRQ;

    assign dinb = doutb;
    
    initial begin
        enb=0;
        web=4'b0000;
        addrb=32'h0;
    end
    
    always @(negedge clkin) begin
            if (addrb<32764) begin
                    addrb=addrb+4;
                    web=4'b1111;
                    enb=1;
            end else begin
                enb=0;
                if (IRQ) begin
                    addrb=0;
                end
            end
    end

endmodule
*/